code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
# example shell script to test 'sh-to-mod' sub-command if [ "${TESTSUITE_SHTOMOD_SHELLVAR:+x}" = 'x' ]; then export FOOSHELL=$BASH fi if [ "${TESTSUITE_SHTOMOD_NOVAR:-x}" = 'x' ]; then export FOO=value export FOOEM="" export FOOSP="value " export FOOCB=va{ue i=1 while [ $# -gt 0 ]; do expor...
cea-hpc/modules-tcl
testsuite/example/sh-to-mod.sh
Shell
gpl-2.0
2,787
#!/bin/sh -e s= yes= while getopts sy arg; do case ${arg} in s) s=s;; y) yes='yes | ';; esac done shift `expr ${OPTIND} - 1` dir=`dirname \`readlink -f $0\`` cmd=`basename $0` LANG=C find ${dir} -mindepth 1 -type d | sed -e "s%^${dir}%${HOME}%" | xargs mkdir -pv LANG=C find ${dir} -mindepth 1 \( -name ${cmd} -o -...
s-takamiya/setup
dotfiles/install.sh
Shell
gpl-2.0
481
#!/bin/sh . ./oraccenv.sh glibtoolize aclocal autoheader automake autoconf ./configure --prefix=/Users/stinney/orc #make #make install
oracc/oracc
mac-reconfig.sh
Shell
gpl-2.0
135
#!/bin/bash set -e # Global variables: # ${GV_LOG}: Prefix this variable in echo to log echoed string. SCRIPT_NAME="$(basename "$(test -L "$0" && readlink "$0" || echo "$0")")" echo "${GV_LOG}>>>>>>>>> Running ${SCRIPT_NAME} ..." # Explicitly list dependent packages # apt-get install -s -y <your-package> # Install ...
limelime/cust-live-deb
scripts/repository/inst-xtra-compressor-pngcrush/inst-xtra-compressor-pngcrush.sh
Shell
gpl-2.0
405
#!/bin/sh # compute dependencies for the PWscf directory tree # make sure there is no locale setting creating unneeded differences. LC_ALL=C export LC_ALL # ensure that command echo understands escape characters if test "`echo -e`" = "-e" ; then ECHO=echo ; else ECHO="echo -e" ; fi # run from directory where this scr...
QEF/q-e
install/makedeps.sh
Shell
gpl-2.0
6,509
#!/bin/sh # # DESCRIPTION: Adds full path to icon name in CSV file # I.e. it changes "foo,bar,folder" to: # "foo,bar,/usr/share/icons/Faenza/places/22/folder.png" # # The script is primarily for perfance testing # # USAGE: # jgmenu_run pmenu >slow.csv # ./scripts/expand-iconname.sh slow.csv >fast.csv # jgmenu_run csv ...
o9000/jgmenu
scripts/expand-iconname.sh
Shell
gpl-2.0
841
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2008-2018 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
jonatanolofsson/tup
test/t7000-move-dir.sh
Shell
gpl-2.0
1,168
#!/bin/sh # Script will create a valid certificate # valid in the sense cert is signed by shared CA from rhic_serve # Certificate will be unknown # the subject/CN of the certificate will not be created by rhic_serve # therefore it is unknown and may be used to cause a '404' to be returned # from the RCS OUT_DIR="...
splice/splice-server
playpen/rhic/create_valid_unknown_rhic.sh
Shell
gpl-2.0
1,177
rostopic pub -1 /shoulder_pitch_position_controller/command std_msgs/Float64 -- -1.2 & rostopic pub -1 /shoulder_roll_position_controller/command std_msgs/Float64 -- 0.0 & rostopic pub -1 /shoulder_yaw_position_controller/command std_msgs/Float64 -- 0.0 & rostopic pub -1 /elbow_pitch_position_controller/command std_msg...
bandi13/cyton_gamma_300_ROS
ROS_ws/src/standup.sh
Shell
gpl-2.0
585
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2013-2020 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
ppannuto/tup
test/t4105-different-dir-wildcard.sh
Shell
gpl-2.0
1,425
source distro/ubuntu/20.04/config source distro/ubuntu/install.sh
mytbk/liveusb-builder
distro/ubuntu/20.04/install.sh
Shell
gpl-3.0
66
source $scpt_path/_utils.sh source $scpt_path/_loadconf.sh echo "-------------------------------------------------" echo "CURRENT MOUNTED VOLUMES" echo "-------------------------------------------------" echo " " id=0 ids="" while read r ; do let id=id+1 ids="${ids}${id}" mount_path[$id]=$(echo $r |cut -d" " -f3) ...
neogodo/borgshell
_mountedvols.sh
Shell
gpl-3.0
880
#!/bin/bash ############################################################################## # MacTomb # # Copyright (C) 2015 Davide `Anathema` Barbato # # ...
davinerd/MacTomb
mactomb.sh
Shell
gpl-3.0
22,856
#!/bin/bash # Copyright 2013 Mirantis, Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); you may # not use this file except in compliance with the License. You may obtain # a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by appli...
radiensoftware/ojo
others/vb6/functions/network.sh
Shell
gpl-3.0
6,433
#!/bin/bash # Application name: JackLinx # Developer: Fred de Borst # Website: http://www.jacklinx.nl # Documentation: http://documentation.jacklinx.nl # Email: felison@gmx.net # Date: May 2013 # Licence: GPLv3 # Script to close and stop all JackLinx applications X t...
felison/JackLinx
opt/jacklinx/bin/app-stop-all-x-times.sh
Shell
gpl-3.0
777
#!/bin/bash openssl genrsa -out privkey.key 2048 openssl req -new -x509 -key privkey.key -out cacert.crt -days 3650
nexlab/domotikad
ssl/create.sh
Shell
gpl-3.0
116
# Deploy a github release for Panorama git stage Gemfile.lock git commit -m "Next version" Gemfile.lock git push # Check if repository is up to date git status | grep "nothing to commit, working tree clean" if [ $? -ne 0 ]; then echo "Github repository is not up to date! Commit and push first." git status exit ...
rammpeter/Panorama
deploy_github.sh
Shell
gpl-3.0
850
./configure --prefix=$PREFIX --with-gmp=$PREFIX make make install
rustychris/conda-recipes
mpfr/build.sh
Shell
gpl-3.0
66
docker run -ti --name=dev-rtf -e DISPLAY=$DISPLAY \ -v $HOME/.ssh/:/root/.ssh/ -v /tmp/.X11-unix:/tmp/.X11-unix \ -v $HOME/git/:/home/dev/git/ \ --link mysql:mysql \ -p 10080:80 flub78/dev-rtf /bin/bash
flub78/docker-dev-rtf
bin/start.sh
Shell
gpl-3.0
207
#!/bin/sh # Name: ea_statusARD.sh # Author: matt.lee@darkstarintegrations.com # Description: Extension Attribute to display current Apple Remote Desktop status. # Checks Apple Remote Desktop Status ardStatus=`cat /private/etc/RemoteManagement.launchd` # Get Current Logged In User for Logging Only. Uncomment if loggin...
DarkstarIntegrations/Casper
ea_statusARD.sh
Shell
gpl-3.0
714
#!/bin/sh # # Copyright (c) 2016, ROE (http://www.roe.ac.uk/) # All rights reserved. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any ...
ivoa/cosmopterix
docker/fedora/23/bin/install-gosu.sh
Shell
gpl-3.0
1,941
#!/bin/sh echo "Remove destination: $2" vmkfstools --deletevirtualdisk $2 echo "Clone disk: $1 to $2" vmkfstools --clonevirtualdisk $1 --diskformat thin $2
dougfultz/sys-admin-tools
bin/esxi-clone-vmdk.sh
Shell
gpl-3.0
159
#!/bin/sh for i in `ls *[57]*.test` do echo "Working on $i ..." python2.7 "Transcode scenefile.py" $i $i.out done
nikox94/komorebi
Sample scene files/transform.sh
Shell
gpl-3.0
119
#!/bin/bash PRJ_DSN=$1 java -jar /opt/freerouter/bin/fr.jar -de $PRJ_DSN
acrixl/FreeRouting
runp.sh
Shell
gpl-3.0
75
# Copyright (c) 2011 Communications Research Laboratory, Ilmenau University of Technology # # This file is part of LTE-Sim # LTE-Sim is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 3 as # published by the Free Software Foundation; # # LTE-Sim is d...
ago30425/lte-sim-r5
RUN/heterogeneous/run_mob.sh
Shell
gpl-3.0
1,878
#!/bin/bash ############### # Snap Backup # ############### banner="Snap Backup - Static Analysis of Java Code" pmdVersion=$(curl -s https://pmd.github.io | grep "Latest Version:" | awk '{ print $3 }') pmdDownload=https://github.com/pmd/pmd/releases/download/pmd_releases%2F$pmdVersion/pmd-bin-$pmdVersion.zip projectHo...
snap-backup/snapbackup
tools/static-analysis.sh.command
Shell
gpl-3.0
1,583
#!/bin/sh path=/opt/DBBACKUP/ logfile=/opt/odoo_scripts/backup_cron/log_backup/clean_up.log for file in `find /opt/DBBACKUP/ -mtime +10 -type f -name *.out.gz` do echo "deleting: " $file >> $logfile rm -f $file done exit 0
hari4274/ODOO
postgresql_db_backup_script/odoo_scripts/backup_cron/clean_up.sh
Shell
gpl-3.0
230
#!/bin/bash # Copyright 2014-2015, Ivan Borozan <ivan.borozan@gmail.com> # # This file is part of the CSSSCL taxonomic sequence classification system. # # CSSSCL is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation...
oicr-ibc/cssscl
scripts/install_jellyfish.sh
Shell
gpl-3.0
1,813
#!/bin/bash today=$(date +"%d%m%y") write=write_db_${today}.log rm db.sqlite3 python manage.py syncdb > $write 2>&1 python manage.py xml2db shared_ids.txt ARXIV_310316.xml >> $write 2>&1 python manage.py text2article db_full.txt >> $write 2>&1 python manage.py okapibm25 >> $write 2>&1 python manage.py sections2db sec...
genie9/pulp
write_db.sh
Shell
gpl-3.0
608
#!/bin/bash echo "####################" echo "# Building plugins #" echo "####################" . /zynthian/zynthian-recipe/zynthian_envars.sh cd ${ZYNTHIAN_DIR}/zynthian-recipe/recipe # System sh ne10.sh #sh opus.sh sh jack2.sh sh a2jmidid.sh sh portaudio.sh sh lv2.sh sh serd.sh sh sord.sh sh sratom.sh sh lilv.sh s...
dcoredump/zynthian-recipe
zynthian-stage/plugins.sh
Shell
gpl-3.0
1,287
#!/bin/bash # Authors: # Brent Fagersten # Group Members: # Parker Desborough # Christopher Contonio # Joseph Soens ##### ~CONFIG~ ##### # MySQL Config # mysql_host="localhost" mysql_User="root" mysql_Password="root" mysql_DB="mediawiki" date=$(date +"%y-%m-%d-%H-%M-%S") # Remote Backup Paths # mysql_backup_path="...
bwcf99/media-wiki-backup
mediawiki-backup.sh
Shell
gpl-3.0
2,337
#!/bin/bash THELANGS="de es fr it nl" WORDS="coach education execution figure job letter match mission mood paper post pot range rest ring scene side soil strain test" for THELANG in $THELANGS; do for WORD in $WORDS; do echo perl scripts/ScorerTask3.pl MRFoutput/"$WORD"."$THELANG".oof gold/"$THELANG"/"$WORD"_g...
hltdi/semeval2013
score_all_mrf.sh
Shell
gpl-3.0
452
#!/bin/sh # # chkconfig: 345 96 24 # description: Starts and stops the openpetraorg server running with Mono # # Find the name of the script NAME=`basename $0` if [ ${NAME:0:1} = "S" -o ${NAME:0:1} = "K" ] then NAME=${NAME:3} fi if [ -z "$OpenPetraOrgPath" ] then export OpenPetraOrgPath=/usr/local/openpetra...
tpokorra/openpetra2014_05
setup/petra0300/linuxserver/postgresql/centos/openpetraorg-server.sh
Shell
gpl-3.0
9,514
#!/bin/bash trap exit 2 SIFS=$IFS IFS=$(echo -en "\n\b") test -d ./broken || mkdir ./broken for i in $(ls ./raw) do ./video_project "./raw/${i}" if [[ $? != 0 ]] then echo "ERROR: Worker has detect an unhandled error. Move this to broken" if [[ "$(ls -A ./tmp)" ]] then i=${i:0:-4} test -d "./broke...
ripx80/vipy
scripts/worker.sh
Shell
gpl-3.0
401
#!/bin/sh #cc mongoose.c -shared -fPIC -fpic -o libmongoose.so -Wl,-soname,libmongoose.so -ldl -pthread -std=c99 -O2 -W -Wall -pedantic g++ *.c *.cpp -o ../new_o/lib/mongoose4.so -I ../new_gg -DINT64_MAX=9223372036854775807 -shared -fPIC -O3 -Wall -fmessage-length=0 -MMD -MP -ldl -pthread
zzzzzzzzzzz0/zhscript
mongoose4/mk.sh
Shell
gpl-3.0
291
#!/bin/bash # Author: Kiyoon Kim (yoonkr33@gmail.com) # Description: find all videos and set the resolution to 16x12 (averagin area) by first cropping and then scaling them. if [ $# -lt 2 ] then echo "usage: $0 [dir_in] [dir_out]" exit 0 fi # readlink -f : make absolute path, file must exist # readlink -m : files ...
kiyoon/ffmpeg_tools
blur_average_LR.sh
Shell
gpl-3.0
1,233
#!/bin/bash set -e DIR="$( cd "$( dirname "$0" )" && pwd)" rsync -az --force --delete --progress $DIR/ mandala:/vagrant/ \ --exclude '.git' \ --exclude 'environment/.vagrant' \ --exclude 'data' \ --exclude 'public/data' ssh mandala << EOF php /vagrant/update.php EOF
bradyo/mandala-book
deploy.sh
Shell
gpl-3.0
285
#!/bin/bash cd /home/mortenj/src/phpMyAPRS/ /usr/bin/php examples/vegvesen.php
Hamlabs/phpMyAPRS
vegvesen-cron.sh
Shell
gpl-3.0
80
#!/bin/bash set -e echo '*****************************************' echo '******* Building native libraries *******' echo '*****************************************' ./build-native.sh echo '*****************************************' echo '********** Building Java parts **********' echo '******************************...
PhilippC/keepass2android
src/build-scripts/build-all.sh
Shell
gpl-3.0
776
# Copyright (C) 2012, 2013 Jonathan Vasquez <jvasquez1011@gmail.com> # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. # Required Binaries, Modules, and other files USE...
tteggel/Bliss-Initramfs-Creator
hooks/base.sh
Shell
mpl-2.0
566
#!/bin/bash cd "$(dirname "$0")" python2.7 -m unittest discover
vamin/MESS.DB
mess/tests/test_all.sh
Shell
agpl-3.0
65
#!/bin/bash # # Copyright 2014 Range Networks, Inc. # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU Affero General Public License as published by # the Free Software Foundation, either version 3 of the License, or # (at your option) any later version. # # This p...
jslhs/dev
switchto.sh
Shell
agpl-3.0
1,265
#!/bin/sh srcdir=`dirname $0` test -z "$srcdir" && srcdir=. PROJECT=gtk-sharp-beans autoreconf -v --force --install if test x$NOCONFIGURE = x; then echo Running $srcdir/configure $conf_flags "$@" ... $srcdir/configure $conf_flags "$@" \ && echo Now type \`make\' to compile $PROJECT || exit 1 else echo Skipp...
mono/gtk-sharp-beans
autogen.sh
Shell
lgpl-2.1
347
java -cp ".:../build/itext-1.4.8.jar:../build/itext-2.1.7.jar:../build/iText-rtf-2.1.7.jar:../build/commonos.jar:../build/clientos.jar:../build/jnlp.jar:../build/jcalendar.jar:../build/log4j-1.2.7.jar:../build/poi-2.0-RC2-20040102.jar:../build/pooler.jar:../build/serveros.jar:../build/jnlp-servlet.jar:../build/hsqldb.j...
mcarniel/oswing
classes/runDemo13.sh
Shell
lgpl-2.1
348
ln -s ../../II_docs/BUILD_REPAIR_SKIP_REPAIR_T BUILD ln -s ../../II_docs/SEARCH_REPAIR_SKIP_REPAIR_T SEARCH ln -s ../../II_docs/lib lib mkdir indexes echo "################################################################" ./BUILD ../../text2gb/wiki_src2gb.txt indexes/wiki2gb "filename=indexes/wiki2gb; lenBitmapDi...
migumar2/uiHRDC
uiHRDC/indexes/POS/EXPERIMENTS/experiments.is/000000.unused.unchecked/4.3.scripts.Repair.skipping/goBuild.sh
Shell
lgpl-2.1
622
#!/bin/bash set -e set +h . /etc/alps/alps.conf . /var/lib/alps/functions DESCRIPTION="An application to take screenshots. Default screenshot application for XFCE" NAME="xfce4-screenshooter" VERSION="1.8.2" #REQ:libsoup KDE_PREFIX=/usr cd $SOURCE_DIR URL=http://archive.xfce.org/src/apps/xfce4-screenshooter/1.8/xfc...
FluidIdeas/parsers
blfs-resources/extrascripts/xfce4-screenshooter.sh
Shell
lgpl-2.1
711
#!/bin/bash -l # # TerraME - a software platform for multiple scale spatially-explicit dynamic modeling. # Copyright (C) 2001-2017 INPE and TerraLAB/UFOP -- www.terrame.org # # This code is part of the TerraME framework. # This framework is free software; you can redistribute it and/or # modify it under the terms of th...
pedro-andrade-inpe/terrame
jenkins/mac/terrame-doc-mac-el-capitan.sh
Shell
lgpl-3.0
1,781
#!/bin/bash # primes.sh: Generate prime numbers, without using arrays. # Script contributed by Stephane Chazelas. # This does *not* use the classic "Sieve of Eratosthenes" algorithm, #+ but instead uses the more intuitive method of testing each candidate number #+ for factors (divisors), using the "%" modulo operator...
liruiqiu/tlpi
sh/sh/primes.sh
Shell
lgpl-3.0
1,337
#!/bin/sh . /opt/pyrame/ports.sh if test $# -lt 2 then echo "usage $0 rocid channels" exit 1 fi chkpyr2.py localhost $SKIROC_PORT select_leak_chans_skiroc $@
sbinet-staging/pyrame
roc/cmd_skiroc/selectleak.sh
Shell
lgpl-3.0
162
#!/bin/bash -x # # Generated - do not edit! # # Macros TOP=`pwd` CND_PLATFORM=GNU-Linux-x86 CND_CONF=Debug CND_DISTDIR=dist CND_BUILDDIR=build NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging TMPDIRNAME=tmp-packaging OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/libshaders.a OUTPUT_BASENAME...
ryden/Slackgine
shaders/nbproject/Package-Debug.bash
Shell
lgpl-3.0
1,437
#!/bin/bash DIR="$(cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd)" source $DIR/install_linux.sh ################################################################################ header "# Configuring Git..." ################################################################################ git config --global user.name "...
temochka/cli-toolkit
install_linux_artem.sh
Shell
unlicense
398
#!/bin/sh python udphttp.py 8888 8888 exit $?
vandys/nowplaying
udphttp/run.sh
Shell
unlicense
46
#!/bin/bash # Apache License 2.0 # Copyright 2016 Random Archer # This file is part of https://github.com/random-archer/nspawn.sh # import source once ___="source_${BASH_SOURCE//[![:alnum:]]/_}" ; [[ ${!___-} ]] && return 0 || eval "declare -gr $___=@" ; #! # # user command implementation # ns_run_list_archive() { ...
random-archer/nspawn.sh
src/main/run.sh
Shell
apache-2.0
2,184
#!/bin/sh # # Copyright 2020 PingCAP, Inc. Licensed under Apache-2.0. set -eu run_sql "drop database if exists file_size" run_sql "create database file_size" export DUMPLING_TEST_DATABASE=file_size run_sql "create table t (a varchar(255))" chars_20="1111_0000_1111_0000_" # insert 100 records, each occupies 20 bytes...
c4pt0r/tidb
dumpling/tests/file_size/run.sh
Shell
apache-2.0
1,027
#!/bin/bash ##### NOTE - tested with sysstat version 10.2.0 and vmstat from procps-ng 3.3.9 # Make sure all time vars are formatted appropriately in the same way on all servers # Otherwise our parsing will not work on some systems export LC_TIME=en_AU.UTF-8 &> /dev/null ## ===================== Reusable Utility Fun...
nikolayg/MCWeb
ShellScripts/monitor.sh
Shell
apache-2.0
7,121
#! /bin/ksh rMin=$1 dr=$2 rMax=$3 states=0 r=$rMin while [[ $r -le $rMax ]] ; do states=$(( states + 1 )) r=$(( r + dr )) done read ANSWER?"Do you want to simulate $states states? " [[ $ANSWER == n* ]] && exit r=$rMin while [[ $r -le $rMax ]] ; do echo "$r $dr $rMax" file=$( /home/waechter/GIT/ComputationalPhysi...
oerpli/ComputationalPhysics
Thermostaten/src/hochlauf.sh
Shell
apache-2.0
615
#!/bin/bash # -------------------------------------------------------------------------- # # Copyright 2002-2010, OpenNebula Project Leads (OpenNebula.org) # # # # Licensed under the Apache License, Version 2.0 (the "License"); you ...
fairchild/one-mirror
share/examples/tm/tm_mkimage.sh
Shell
apache-2.0
1,374
echo echo "Welcome to Xpuhil Playground" echo sleep 4 # git clone https://github.com/TheIoTLearningInitiative/CodeLabs.git cd CodeLabs/Xpuhil/ pip install pip --upgrade sh requirements.opkg pip install -r requirements.pip echo echo "Now go to CodeLabs/Xpuhil directory to get started!" echo echo "Happy Xpuhil'ing!" ...
TheIoTLearningInitiative/CodeLabs
Xpuhil/setup.sh
Shell
apache-2.0
325
pipeline_name=regulation_effect_37_95 pipeline_dir=/hps/nobackup2/production/ensembl/anja/release_95/human/grch37/regulation_effect/ species=human HIVE_SRV=mysql-ens-var-prod-3-ensadmin init_pipeline.pl Bio::EnsEMBL::Variation::Pipeline::RegulationEffect_conf \ $($HIVE_SRV details hive) \ -pipeline_name $pipeline_name ...
at7/work
pipelines/scripts/run_regulation_human_37.sh
Shell
apache-2.0
373
export MGO_URL=mongodb://mongo:123456@127.0.0.1:27017/admin export LOGISTICS_DATABASE=logistics cd $GOPATH/src/github.com/liuhong1happy/logistics-workflow/api go clean -i go build bee run watchall
liuhong1happy/logistics-workflow
api/bee-run.sh
Shell
apache-2.0
198
#!/bin/bash # Copyright 2015 Tim Hockin # Copyright 2015 Jonathon Anderson # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless requ...
anderbubble/autodemo
autodemo.sh
Shell
apache-2.0
2,727
#!/usr/bin/env bash #/* # Copyright 2009-2013 by The Regents of the University of California # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # you may obtain a copy of the License from # # http://www.apache.org/licenses/LICENSE-2....
parshimers/incubator-asterixdb
asterix-events/src/main/resources/events/hdfs/delete.sh
Shell
apache-2.0
872
#!/bin/sh # # # # ROOT_PATH=`pwd` SCRIPT_PATH=${ROOT_PATH}/../script #CCACHE_BIN=${ROOT_PATH}/prebuilts/misc/linux-x86/ccache/ccache CCACHE_BIN=/usr/bin/ccache OUT_PATH=${ROOT_PATH}/out LOG_NAME=build.log BLD_LOG=${ROOT_PATH}/${LOG_NAME} myARCH=arm #myCC=${ROOT_PATH}/prebuilt/linux-x86/toolchain/arm-eabi-4.4.3/bin/...
span999/build-scripts
imx/android-422/goauboot.sh
Shell
apache-2.0
2,155
#!/bin/bash export CLASSPATH=".:build:lib/*" INPUT_DIR=lintest_input OUTPUT_DIR=lintest_output mkdir $INPUT_DIR &> /dev/null mkdir $OUTPUT_DIR &> /dev/null rm -f $INPUT_DIR/* rm -f $OUTPUT_DIR/* cp execution.log $INPUT_DIR/ echo Running java -cp ".:target/WatCA-1.0-SNAPSHOT.jar" ca.uwaterloo.watca.LinearizabilityTes...
wgolab/WatCA
lintest.sh
Shell
apache-2.0
1,098
#!/usr/bin/env bash batfish_analyze_node_failures() { local TEST_RIG_RELATIVE=$1 shift local PREFIX=$1 shift local MACHINES="${@}" local NUM_MACHINES=$# if [ "${NUM_MACHINES}" -eq 0 ]; then local MACHINES=localhost local NUM_MACHINES=1 fi local OLD_PWD=$PWD if [ "$(echo $TEST_...
Alexia23/batfish
tools/single_node_failure.sh
Shell
apache-2.0
15,943
#!/bin/sh TITLE=$1 DATE=`date -j +'%Y-%m-%d'` FILENAME=$DATE-$1.org touch posts/$FILENAME echo "---" >> posts/$FILENAME echo "title: $TITLE" >> posts/$FILENAME echo "subtitle:" >> posts/$FILENAME echo "tags:" >> posts/$FILENAME echo "---" >> posts/$FILENAME
telser/blog
mkpost.sh
Shell
apache-2.0
261
#!/bin/bash set -e cd `ls -d $HOME/install/accumulo-*` cd test/system/randomwalk/ cp conf/logger.xml.example conf/logger.xml cp conf/randomwalk.conf.example conf/randomwalk.conf sed -i '/ZOOKEEPERS=/d' conf/randomwalk.conf sed -i '/INSTANCE=/d' conf/randomwalk.conf echo ZOOKEEPERS=`grep io.fluo.client.accumulo.zoo...
keith-turner/fats
setup-rw.sh
Shell
apache-2.0
794
#!/bin/bash # Yet Another UserAgent Analyzer # Copyright (C) 2013-2022 Niels Basjes # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless ...
nielsbasjes/yauaa
analyzer/src/main/code-gen/UserAgents/Amazon/Generate.sh
Shell
apache-2.0
5,855
#!/bin/bash # Shell script for calling resistant SNPs on a single sample # Author: Fang Zhang # Date: 2016.5.13 # E-mail: fza34@sfu.ca # $var1 = path to list of samples # $var2 = directory of results # $var3 = path to vcf file of resistant SNPs # Reading parameters ---------------------------------------- sample_lis...
zhangfang615/Tuberculosis
scripts/callResiSnps.sh
Shell
apache-2.0
1,043
#!/bin/bash set -euo pipefail start_at=${1:-} codes=( common # a simple one first genesis # libraries pydot boost ml rsbeams # create a delay here so radiasoft.repo in radiasoft/rpm-code # is "old" by the time bnlcrl (or other fast build) happens # otherwise, the cache wi...
radiasoft/download
installers/rpm-code/dev-build-all.sh
Shell
apache-2.0
1,002
#!/bin/bash clearLandingZone() { ssh ingestion@testing1.slidev.org << EOF rm -rf lz/inbound/* exit EOF } OUT=`clearLandingZone` echo $OUT exit 0
inbloom/secure-data-service
sli/acceptance-tests/test/features/ingestion/util/clearLZ.sh
Shell
apache-2.0
147
#!/bin/bash # Copyright 2014 The Kubernetes Authors. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law ...
Hexta/kubernetes
cluster/gce/config-default.sh
Shell
apache-2.0
9,526
#!/bin/bash source ~/.bash_profile export JAVA_HOME=jdk export JRE_HOME=$JAVA_HOME/jre export CLASSPATH=$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar:$JRE_HOME/lib:.:$CLASSPATH JAVA=$JAVA_HOME/bin/java JAVA_OPTS="$JAVA_OPTS -server -Xms256m -Xmx512m -Xmn150m -XX:MaxPermSize=128m" #performance Options JAVA_OPTS="$...
tanyjan/km
doc/bin/webant_exchage.sh
Shell
apache-2.0
1,886
#!/bin/bash cd /opt/static_file_analysis/ git pull #https_proxy=http://your_proxy:port git pull
lprat/static_analysis
docker/git_update.sh
Shell
apache-2.0
96
#!/bin/bash # Shut down robots # Security camera's xterm -e rosnode kill /cam1/usb_cam & xterm -e rosnode kill /cam2/usb_cam & xterm -e rosnode kill /cam3/usb_cam & # Deckard xterm -e rosnode kill /deckard/map_server & # Pris xterm -e rosnode kill /pris/map_server & # Roy xterm -e rosnode kill /roy/m...
COHRINT/cops_and_robots
resources/web_interface/bash/stop_vicon.sh
Shell
apache-2.0
449
#!/usr/bin/env bash # Copyright 2019 Google LLC. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
tensorflow/tfjs-models
blazeface/scripts/publish-demo.sh
Shell
apache-2.0
837
#!/bin/bash # Configure a zookeeper ensemble using consul-template # to populate server lists set -e set -x # set up SSL if [ "$(ls -A /usr/local/share/ca-certificates)" ]; then # normally we'd use update-ca-certificates, but something about running it in # Alpine is off, and the certs don't get added. Fo...
CiscoCloud/docker-zookeeper
zookeeper-3.4/zk_config.sh
Shell
apache-2.0
1,798
#!/bin/bash # Copyright 2020 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to ...
googleapis/python-irm
.kokoro/test-samples.sh
Shell
apache-2.0
3,431
# # lib.d/dex-run.sh for dex -*- shell-script -*- # dex-run(){ [ -z "$__imgstr" ] && error_exception \ "dex-run requires an [repository/]<image>[:tag] imgstr" dex-detect-imgstr $__imgstr || error "lookup failed to parse $__imgstr" __image="$DEX_NAMESPACE/$__image_match:$__image_tag" #@TODO test special ...
BlueAcornInc/dex
lib.d/dex-run.sh
Shell
apache-2.0
1,313
#!/bin/bash set -e apt install -y flex bison curl gcc gfortran g++ make cmake libsqlite3-dev zlib1g-dev python3-dev python3 python3-numpy liblapack3 libblas3 libboost-dev git rsync #TODO: CLEAN apt
devsim/devsim
scripts/install_ubuntu_depend.sh
Shell
apache-2.0
199
#!/bin/bash LOCKFILE="/tmp/puppet.lock" sync_server() { echo "Syncing files with puppet server" rsync -a --delete --exclude='*.swp' modules/ /etc/puppet/modules/ rsync -a --delete --exclude='*.swp' manifests/ /etc/puppet/manifests/ rsync -a --delete --exclude='*.swp' hiera/ /etc/puppet/hiera/ } # $1...
youzee/puppet-boilerplate
apply.sh
Shell
apache-2.0
1,215
# Copyright (C) 2011 Red Hat, Inc. All rights reserved. # # This copyrighted material is made available to anyone wishing to use, # modify, copy, or redistribute it subject to the terms and conditions # of the GNU General Public License v.2. # # You should have received a copy of the GNU General Public License # along ...
WhiteBearSolutions/WBSAirback
packages/wbsairback-lvm2/wbsairback-lvm2-2.2.02.88/test/lib/test.sh
Shell
apache-2.0
1,525
#!/bin/bash export USE_LOCAL_LOGS_DIR=true export USE_LOCAL_MODELS_DIR=true export REGISTRY_PREFIX= export USE_LOCAL_MYSQL_DATA_DIR=
SeldonIO/seldon-vm
dist/setup-local.sh
Shell
apache-2.0
134
#!/bin/bash export VERSION=$1 git=(${2//:/ }) apiHost=$3 CACHEBUST=${VERSION} cd api if [[ "$VERSION" = "LATEST" ]]; then CACHEBUST=`git ls-remote https://github.com/maproulette/maproulette2.git | grep HEAD | cut -f 1` fi echo "Building container for MapRoulette API Version: $VERSION, Repo: ${git[1]}, APIHost: $ap...
mgcuthbert/maproulette2-docker
api/docker.sh
Shell
apache-2.0
525
#!/bin/bash usage() { cat << EOF Integration test for S3 uploader usage: $0 path/to/python_test.py <AWS_KEY_ID> <AWS_ACCESS_SECRET> EOF } if [ "$#" -ne 3 ]; then usage exit 1 fi FIXTURES=$GOPATH/src/github.com/imosquera/uploadthis/fixtures TEST_FILE=test.json LOGS=$FIXTURES/monitordir/$TEST_FILE CONF...
imosquera/uploadthis
test/test.sh
Shell
apache-2.0
1,327
echo "========== Instantiating chaincode v$1 ==========" peer chaincode instantiate -o orderer.example.com:7050 --tls $CORE_PEER_TLS_ENABLED --cafile /opt/gopath/src/github.com/hyperledger/fabric/peer/crypto/ordererOrganizations/example.com/orderers/orderer.example.com/msp/tlscacerts/tlsca.example.com-cert.pem -C $CHAN...
huangeason26/fabric-samples
high-throughput/scripts/instantiate-chaincode.sh
Shell
apache-2.0
410
#! /bin/bash bin/zkServer.sh status conf/zoo$1.cfg
JulyKe/ZooKeeper350
checkStatus.sh
Shell
apache-2.0
51
#!/bin/bash set -e ./gradlew clean build
grover-ws-1/http4k
build.sh
Shell
apache-2.0
43
#!/bin/bash # -K100M -H100M bindir="$(dirname "$0")/../cabal-dev/bin" case $1 in "thread") shift "$bindir"/unfav-threadscope -f "my.token" +RTS -N -ls -sstderr $@ \ && exec "$bindir"/threadscope unfav-threadscope.eventlog ;; # "heap") # # after cabal-dev with flag --enable-executab...
killerswan/twitter-unfav
prof.bash
Shell
bsd-2-clause
709
#!/bin/bash sudo docker run -d --restart=always --name bitcoin -p 8333:8333 -v /var/docker/volumes/bitcoin:/home/bitcoind/.bitcoin flurischt/bitcoin
flurischt/dockerfiles
images/archive/bitcoin/run.sh
Shell
bsd-2-clause
150
echo "=========================================================================" echo "Pulling repo and running setup..." echo "=========================================================================" mkdir -p ~/code cd ~/code git clone https://github.com/overshard/dev-server cd dev-server sh setup.sh
overshard/nebula.bythewood.me
bootstrap.sh
Shell
bsd-2-clause
307
function install_gnu_macos() { export PATH="$(brew --prefix coreutils)/libexec/gnubin:/usr/local/bin:$PATH" brew install coreutils brew tap homebrew/dupes brew install binutils brew install diffutils brew install ed --with-default-names brew install findutils --with-default-names brew in...
andrewbell8/dotfiles
scripts/macos/install_gnu_macos.sh
Shell
bsd-2-clause
5,444
#!/usr/bin/env bash rm -rf ssl mkdir ssl cd ssl ssh-keygen -b 2048 -t rsa -N "imaghost" -f imag.host.key echo -e "\n\n\n\n\n\n\n" | openssl req -x509 -nodes -days 365 -newkey rsa:2048 -keyout imag.host.key -out imag.host.key.crt
zbuc/imaghost
make_keys.sh
Shell
bsd-2-clause
231
#!/bin/bash MY_DIR="$( cd "$( dirname "${0}" )" && pwd )" . ${MY_DIR}/cyber_dojo_helpers.sh # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - test_START_POINT_UPDATE() { :; } # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - test___success() { :; } test_____no_arg_or_help_p...
cyber-dojo/commander
test/sh/test_050_start_point_update.sh
Shell
bsd-2-clause
2,176
#!/bin/bash set -e RESULT=0 DOCBASE_DATA=$(/usr/sbin/install-docs -s python3-streamlink-doc) check-file() { local TARGET_FILE="$1" echo -n "Checking file $TARGET_FILE" if ! [ -f "$TARGET_FILE" ]; then echo " MISSING" return 1 else echo " OK" fi return 0 } if [ -z "$DOCBASE_DATA" ]; then echo "Cannot r...
amurzeau/streamlink-debian
debian/tests/check_docs.sh
Shell
bsd-2-clause
1,512
#!/bin/bash # # imdb_scrape: Search user-submitted IMDB data for keywords. VER="1.3" # # This software is released under the BSD 3-Clause license. See the included # file "LICENSE" for more information. # #-------------------------User Configuration Section---------------------------# # Starting title TT_START=87332 ...
MS3FGX/imdb_scrape
imdb_scrape.sh
Shell
bsd-3-clause
6,219
#!/bin/bash ARCNAME=final NIGHTLY_WEB_ROOT=/var/www/html/nightly #Arguments: processFarBuild <32|64|ARM64> processFarBuild() { if [ ! -e ../outfinalnew$1/${ARCNAME}.msi ]; then echo "outfinalnew$1/${ARCNAME}.msi is missing" return 1 fi BASE=$PWD cd ../far.git SCM_REVISION=`git rev-parse --short HEAD` c...
FarGroup/FarManager
misc/nightly/publish.sh
Shell
bsd-3-clause
929
# Remember to initialise git flow first (i.e. 'git flow init') # and to supply a version argument (e.g. 0.3.1) when running this file. git flow release start v$1 sed -i -e "s/__version__ = '.*'/__version__ = '$1'/g" pyeasyga/__init__.py rm -rf docs/generated python setup.py develop make docs cd docs && make html && cd ...
remiomosowon/pyeasyga
update_version.sh
Shell
bsd-3-clause
496
TRS="transf_ transf_cumsum transf_diff transf_exp transf_inv transf_log transf_pow3 transf_sqr transf_sqrt" TRS="transf_inv transf_log transf_pow3 transf_sqr transf_sqrt" for tr in $TRS do make -f tests/artificial/Makefile -j 12 $tr > tests/artificial/log.$tr done
antoinecarme/pyaf
tests/artificial/run_all.sh
Shell
bsd-3-clause
285
#!/bin/bash dist/build/simpleserver/simpleserver -s 10000 10001 10002 10003 10004 & dist/build/simpleserver/simpleserver -s 10001 10000 10002 10003 10004 & dist/build/simpleserver/simpleserver -s 10002 10001 10000 10003 10004 & dist/build/simpleserver/simpleserver -s 10003 10001 10002 10000 10004 & dist/build/simplese...
chrisnc/tangaroa
servers.sh
Shell
bsd-3-clause
371